<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		juan.agudelo
@modified		christian.rodriguez nuevas versiones desde el 2012
@version		2.0
@description	Registrar ofertas inmobiliarias CU-SA-AC-077
                modulo fuente
@cu 			CU-AV-O-01 CU-AV-O-02
@param 			ofertaInmobiliariaParam: 	oferta inmobiliaria seleccionada

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" columns="6" cellspacing="8"
             columnClasses="colMediana, colPequena, colMediana, colPequena, colMediana, colPequena">

    <h:panelGroup>
        <h:outputLabel value="Fuente: " styleClass="outputLabelStyle" />
        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
    </h:panelGroup>
    <h:panelGrid columns="2" cellspacing="0">
        <h:selectOneMenu id="fuente" label="Fuente"
                         value="#{ofertaInmobiliariaParam.fuente}" required="true">
            <f:selectItem itemLabel="Seleccionar..." />
            <f:selectItems value="#{general.ofertaFuenteV}" />
        </h:selectOneMenu>
        <p:message for="fuente" display="icon" />
    </h:panelGrid>

    <h:panelGroup>
        <h:outputLabel value="Nombre fuente: " styleClass="outputLabelStyle" />
        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
    </h:panelGroup>
    <h:panelGrid columns="2" cellspacing="0">
        <h:inputText label="Nombre de la fuente" id="nombreFuente"
                     value="#{ofertaInmobiliariaParam.nombreFuente}" maxlength="30"
                     required="true" />
        <p:message for="nombreFuente" display="icon" />
    </h:panelGrid>

    <h:outputLabel value="Teléfono fuente: " styleClass="outputLabelStyle" />
    <h:inputText id="telefonoFuente"
                 value="#{ofertaInmobiliariaParam.telefonoFuente}" maxlength="30" />

    <h:outputLabel value="Nombre proyecto: " styleClass="outputLabelStyle"
                   rendered="#{registroOfertaInmob.banderaOfertaNueva}" />
    <h:inputText value="#{ofertaInmobiliariaParam.nombreProyecto}"
                 maxlength="30" rendered="#{registroOfertaInmob.banderaOfertaNueva}" />

    <h:panelGroup>
        <h:outputLabel value="Fecha de la oferta: "
                       styleClass="outputLabelStyle" />
        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
    </h:panelGroup>
    <h:panelGrid columns="2">
        <p:calendar id="fechaOferta" label="Fecha de la oferta"
                    value="#{ofertaInmobiliariaParam.fechaOferta}" navigator="true"
                    pattern="#{general.formatoFecha}" showOn="both"
                    title="#{general.formatoFechaUsuario}" tabindex="0"
                    effect="slideDown" locale="es_CO" required="true"
                    maxdate="#{general.fechaActual}" size="12" />
        <p:message id="fechaOfertaMsg" for="fechaOferta" display="icon" />
    </h:panelGrid>

    <h:panelGroup>
        <h:outputLabel value="Tipo investigación: "
                       styleClass="outputLabelStyle" />
        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
    </h:panelGroup>
    <h:panelGrid columns="2" cellspacing="0">
        <h:selectOneMenu id="tipoInvestigacion" label="Tipo investigación"
                         value="#{ofertaInmobiliariaParam.tipoInvestigacion}">
            <f:selectItem itemLabel="Seleccionar..." />
            <f:selectItems value="#{general.ofertaTipoInvestigacionV}" />
            <p:ajax
                update=":registroOfertaInmobiliariaFormId:informacionEconomicaId"
                onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
        </h:selectOneMenu>
        <p:message for="tipoInvestigacion" display="icon" />
    </h:panelGrid>

    <h:panelGroup>
        <h:outputLabel value="Investigación por la cual ingresa la oferta:"
                       styleClass="outputLabelStyle" />
        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
    </h:panelGroup>
    <h:panelGrid columns="2" cellspacing="0">
        <h:selectOneMenu id="investigacion"
                         label="Investigación por la cual ingresa la oferta"
                         value="#{ofertaInmobiliariaParam.investigacionIngreso}"
                         required="true">
            <f:selectItem itemLabel="Seleccionar..." />
            <f:selectItems value="#{general.ofertaInvestigacionIngresoV}" />
        </h:selectOneMenu>
        <p:message for="investigacion" display="icon" />
    </h:panelGrid>

</h:panelGrid>